Page MenuHomePhabricator

Userrights
Closed, ResolvedPublic

Description

Would it be possible to allow stewards to add/remove other stewards (although there should be a safeguard to prevent the initial founder from de-stewarding themselves by accident).

Also would it be possible to allow bureaucrats to assign interface admin rights (the new group that came with MW 1.32)?

Thanks,
Brianna
Founder, United States Turnpike Wiki

Event Timeline

Brianna82 created this task.Mar 7 2019, 4:00 PM
Brianna82 triaged this task as Normal priority.
Brianna82 added subscribers: lewiscawte, jack.
Brianna82 added a subscriber: SamanthaNguyen.

Hi @Brianna82, thanks for filing this request! One thing I'd like to ask you right away: are these requests for all of ShoutWiki or for a single wiki? (If the latter, can you provide its URL/subdomain?)

Would it be possible to allow stewards to add/remove other stewards (although there should be a safeguard to prevent the initial founder from de-stewarding themselves by accident).

The steward user group is largely -- though not fully -- symbolic. The vast majority of user rights are assigned to the sysop group (e.g. the ability to delete pages, block users, and so on), with some additional user rights assigned to the bureaucrat group. The only thing that steward group members can do that the others cannot is to remove bureaucrats. Stewards cannot add other stewards not remove anyone from that group.

While it is technically totally possible to do this, I don't think it makes much sense on a global scale (additionally the "don't let wiki founder de-steward themselves" bit requires some additional coding - shouldn't be that tricky, though, I hope). We can make per-wiki exemptions if and when needed but so far I think the current system's worked well enough.

Also would it be possible to allow bureaucrats to assign interface admin rights (the new group that came with MW 1.32)?

Globally or on a specific wiki? IMO both should be perfectly doable. I didn't do anything with that new group as I wasn't sure if there'd be any point to it since we regranted the sysop group the user rights which upstream developers took away from that group and granted only to the brand new interface-admin group. Of course in an ideal world this kind of "separation of privileges" is wonderful and there can be (and are, as is the case on Wikipedia, etc.) administrators who have access to user blocking tools etc. but who cannot edit the site-wide .css and .js pages. However I think our users still expect all admins to be able to edit all pages, even .css and .js, and given that anyone can create a wiki on ShoutWiki, the potential risks on ShoutWiki are different from those on Wikimedia Foundation wikis like Wikipedia.

Brianna82 added a comment.EditedMar 16 2019, 5:11 PM

@jack

One thing I'd like to ask you right away: are these requests for all of ShoutWiki or for a single wiki? (If the latter, can you provide its URL/subdomain?)

All of these requests are primarily for my wiki (http://turnpike.shoutwiki.com) but doing them for ShoutWiki globally might not be a bad thing (note that I am not specifically requesting this, so if it is easier/quicker to just do it for one wiki that would be preferred).

One of the things that I don’t like about ShoutWiki is that too many userrights are bundled into the sysop group - IMHO some of what sysops can currently do should really only be available to bureaucrats, and the steward group should really be the “highest” group on the wiki below staff.

And so yes, per the above, the interface admin right request for bureaucrats would also only be for my wiki.

(Disclaimer: If you visit the wiki I linked above (my wiki) you’ll notice that I’ve changed the MediaWiki display pages to make the steward group read as “founder” and make the ShoutWIki global staff group read as “steward” since I think these titles are more descriptive of the groups themselves).

@jack Bump!

@jack Second Bump!

jack closed this task as Resolved.Apr 21 2019, 6:14 AM
jack claimed this task.

Hi @Brianna82 and apologies for the late reply!

I've implemented all the requested changes for your wiki:

  • bureaucrats can add and remove users to/from the interface-admin group
  • stewards can do the same
  • stewards can add and remove other stewards
    • except the founder can't de-steward themselves

We chatted about the interface-admin user group with @lewiscawte earlier on and it'll become globally available in the near future as well.